Summary: Text-mode tool for setting up NIS and shadow passwords.
Name: authconfig
Version: 4.2.12
Release: 11tr
License: GPL
ExclusiveOS: Linux
Group: Trustix Official
BuildRoot: /var/tmp/%{name}-root
Source: %{name}-%{version}.tar.gz
Patch0: authconfig-4.2.12-nokrb5.patch
BuildRequires: pkgconfig, glib, glib-devel, python-devel, newt-devel

%description 
Authconfig is a terminal mode program for setting up Network
Information Service (NIS) and shadow (more secure) passwords
on your system. Authconfig also configures the system to
automatically turn on NIS at system startup.

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
 --mandir=$RPM_BUILD_ROOT/%{_mandir}

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install-exec
pushd man
make install
popd
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
touch $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/authconfig
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
touch $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/system-auth

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc NOTES TODO
%ghost %{_sysconfdir}/sysconfig/authconfig
%ghost %{_sysconfdir}/pam.d/system-auth
%{_sbindir}/authconfig
%{_mandir}/man8/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Fri Jan 20 2006 Ajith Thampi <ajith at trustix dot org> 4.2.12-10tr
- Imported from TSL 2.2 into TSL 3.0.5
		
* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 4.2.12-7tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.2.12-6tr
- Big rebuild

* Tue Jun  3 2003 Erlend Midttun <erlendbm at trustix dot com> 4.2.12-5em
- Cleanup.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.2.12-4em
- Rebuilt against glibc 2.3.2.

* Wed Nov 13 2002 Roland Kruse <rolandk at trustix dot org> 4.2.12-3rk
- Re-applied Gerald's nokrb5 patch

* Sun Oct 20 2002 Goetz Bock <bock at trustix dot org> 4.2.12-2bg
- need some more .*-devel to build

* Fri Sep 20 2002 Gerald Dachs <gda at trustix dot org> 4.2.12-1gd
- new upstream version 4.2.12

* Tue Sep 12 2000 Erlend Midttun <erlendbm at trustix dot com>
- Upgraded to 3.0.3

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved man pages to /usr/share/man, FHS

* Tue Jan 11 2000 Preston Brown <pbrown@redhat.com>
- support for LDAP authentication added.

* Tue Sep 21 1999 Matt Wilson <msw@redhat.com>
- updated man page

* Mon Sep 20 1999 Matt Wilson <msw@redhat.com>
- set up shadowed /etc/group

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Hat Linux 6.0

* Thu Apr 01 1999 Preston Brown <pbrown@redhat.com>
- don't report errors about NIS fields not being filled in if not enabled

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- fix typo
- change domainname at nis start and stop

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- fixed man page

* Wed Mar 17 1999 Matt Wilson <msw@redhat.com>
- fixed rewriting /etc/yp.conf
- restarts ypbind so that new changes take effect

* Mon Mar 15 1999 Matt Wilson <msw@redhat.com>
- just make the NIS part of configuration grayed out if NIS is not installed

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- static buffer sizes increased.

* Tue Mar  9 1999 Matt Wilson <msw@redhat.com>
- removed build opts because of problems on alpha

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- Don't rewrite ypbind.conf if you're not configuring NIS

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- Don't configure NIS if /etc/ypbind.conf does not exist.

* Sat Feb  6 1999 Matt Wilson <msw@redhat.com>
- changed "/sbin/chkconfig --add ypbind" to
  "/sbin/chkconfig --level 345 ypbind on"
- added checks for null nis domains and servers if nis is enabled or if
  not using broadcast.
- added newt entry filter for spaces in domains

* Sat Feb  6 1999 Matt Wilson <msw@redhat.com>
- changed command line options to match user interface
- added --help

* Thu Feb  4 1999 Matt Wilson <msw@redhat.com>
- Rewrote UI to handle geometry management properly
- MD5 passwords do not require shadow passwords, so made them independent

* Wed Feb 03 1999 Preston Brown <pbrown@redhat.com>
- initial spec file
